- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::direntry Class Reference

An entry in a dirstream. More...

`#include <sbuild-dirstream.h>`

List of all members.

## Public Member Functions
| direntry ()
| The constructor.
| direntry (const struct dirent *entry)
| The constructor.
| direntry (direntry const &orig)
| The copy constructor.
virtual | ~direntry ()
| The destructor.
long | inode () const
| Get the dirent inode number (d_ino).
unsigned char | type () const
| Get the file type (d_type).
std::string | name () const
| Get the file name (d_name).
dirent const & | dirent ()
| Get the dirent.
## Private Attributes
dirent | data
| The underlying dirent the class is wrapping.

## Detailed Description

An entry in a dirstream.

It is a wrapper around the dirent structure declared in dirent.h. Unlike a dirent pointer returned by readdir(3), a direntry does not become invalid when the dirstream it was extracted from is destroyed.

## Constructor & Destructor Documentation

sbuild::direntry::direntry | ( |  | ) | `[inline]`

The constructor.

Here is the call graph for this function:

sbuild::direntry::direntry | ( | const struct dirent * | entry | ) | `[inline]`

The constructor.

Parameters:

  | entry | the dirent to initialise the class with.

Here is the call graph for this function:

sbuild::direntry::direntry | ( | direntry const & | orig | ) | `[inline]`

The copy constructor.

Parameters:

  | orig | the class to copy.

Here is the call graph for this function:

virtual sbuild::direntry::~direntry | ( |  | ) | `[inline, virtual]`

The destructor.

## Member Function Documentation

struct dirent const& sbuild::direntry::dirent | ( |  | ) | `[inline]`

Get the dirent.

Returns:
  a reference to the underlying dirent.

Here is the caller graph for this function:

long sbuild::direntry::inode | ( |  | ) | const`[inline]`

Get the dirent inode number (d_ino).

Returns:
  the inode number.

std::string sbuild::direntry::name | ( |  | ) | const`[inline]`

Get the file name (d_name).

Returns:
  a reference to a string containing the name.

unsigned char sbuild::direntry::type | ( |  | ) | const`[inline]`

Get the file type (d_type).

Returns:
  the file type.

## Member Data Documentation

struct dirent sbuild::direntry::data`[private]`

The underlying dirent the class is wrapping.

The documentation for this class was generated from the following file:

- sbuild/sbuild-dirstream.h